# Uses of Interface
org.xml.sax.AttributeList

Packages that use AttributeList
Package
Description
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of AttributeList in org.xml.sax

Methods in org.xml.sax with parameters of type AttributeList
Modifier and Type
Method
Description
`void`
DocumentHandler.`startElement(String name, AttributeList atts)`
Deprecated.
Receive notification of the beginning of an element.
`void`
HandlerBase.`startElement(String name, AttributeList attributes)`
Deprecated.
Receive notification of the start of an element.

## Uses of AttributeList in org.xml.sax.helpers

Classes in org.xml.sax.helpers that implement AttributeList
Modifier and Type
Class
Description
`class`
`AttributeListImpl`
Deprecated.
This class implements a deprecated interface, `AttributeList`; that interface has been replaced by `Attributes`, which is implemented in the `AttributesImpl` helper class.
Methods in org.xml.sax.helpers with parameters of type AttributeList
Modifier and Type
Method
Description
`void`
AttributeListImpl.`setAttributeList(AttributeList atts)`
Deprecated.
Set the attribute list, discarding previous contents.
`void`
ParserAdapter.`startElement(String qName, AttributeList qAtts)`
Adapter implementation method; do not call.
Constructors in org.xml.sax.helpers with parameters of type AttributeList
Modifier
Constructor
Description
``
`AttributeListImpl(AttributeList atts)`
Deprecated.
Construct a persistent copy of an existing attribute list.